Magick::DrawableStrokeLineJoin Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableStrokeLineJoin:
[legend]
Collaboration diagram for Magick::DrawableStrokeLineJoin:
[legend]

## Public Member Functions

| DrawableStrokeLineJoin (LineJoin linejoin_)
| ~DrawableStrokeLineJoin (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | linejoin (LineJoin linejoin_)
LineJoin | linejoin (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1801 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableStrokeLineJoin()

Magick::DrawableStrokeLineJoin::DrawableStrokeLineJoin | ( | LineJoin | linejoin_ | ) |

inline

Definition at line 1804 of file Drawable.h.

## ~DrawableStrokeLineJoin()

Magick::DrawableStrokeLineJoin::~DrawableStrokeLineJoin | ( | void |  | ) |

Definition at line 1299 of file Drawable.cpp.

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableStrokeLineJoin::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1307 of file Drawable.cpp.

## linejoin() [1/2]

void Magick::DrawableStrokeLineJoin::linejoin | ( | LineJoin | linejoin_ | ) |

inline

Definition at line 1816 of file Drawable.h.

## linejoin() [2/2]

LineJoin Magick::DrawableStrokeLineJoin::linejoin | ( | void |  | ) | const

inline

Definition at line 1820 of file Drawable.h.

## operator()()

void Magick::DrawableStrokeLineJoin::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1303 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp